Subject: bug#58042: 29.0.50; ASAN use-after-free in re_match_2_internal

From: Gerd Möllmann <[email-masked]>
Date: Wed, 05 Oct 2022 13:35:02 +0200

Po Lu <[email-masked]> writes:

>> Indeed, that seems to work!
>
> Right.  I've not had the time to investigate why unmarked windows remain
> in the window tree, so I have the equivalent of that in my incremental
> garbage collector.

Thanks!  At least one GC-related bug less, if you put that in.

And with Eli's proposed patch 2.  I've added that to my local branch,
but it took long for the re_match case to re-appear, so maybe it should
be put into master as well, so that more people test if it has adverse
effects.